Linux iad1-shared-b7-18 6.6.49-grsec-jammy+ #10 SMP Thu Sep 12 23:23:08 UTC 2024 x86_64
Apache
: 67.205.6.31 | : 216.73.216.47
Cant Read [ /etc/named.conf ]
8.2.29
fernandoquevedo
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
share /
zsh /
help /
[ HOME SHELL ]
Name
Size
Permission
Action
alias
2.27
KB
-rw-r--r--
autoload
4.5
KB
-rw-r--r--
bg
123
B
-rw-r--r--
bindkey
60
B
-rw-r--r--
break
184
B
-rw-r--r--
builtin
81
B
-rw-r--r--
bye
531
B
-rw-r--r--
cap
62
B
-rw-r--r--
cd
2.77
KB
-rw-r--r--
chdir
2.77
KB
-rw-r--r--
clone
64
B
-rw-r--r--
colon
190
B
-rw-r--r--
command
566
B
-rw-r--r--
comparguments
81
B
-rw-r--r--
compcall
75
B
-rw-r--r--
compctl
74
B
-rw-r--r--
compdescribe
80
B
-rw-r--r--
compfiles
77
B
-rw-r--r--
compgroups
78
B
-rw-r--r--
compquote
77
B
-rw-r--r--
comptags
76
B
-rw-r--r--
comptry
75
B
-rw-r--r--
compvalues
78
B
-rw-r--r--
continue
244
B
-rw-r--r--
declare
21.48
KB
-rw-r--r--
dirs
729
B
-rw-r--r--
disable
3.68
KB
-rw-r--r--
disown
682
B
-rw-r--r--
dot
1.12
KB
-rw-r--r--
echo
1.44
KB
-rw-r--r--
echotc
66
B
-rw-r--r--
echoti
67
B
-rw-r--r--
emulate
6.38
KB
-rw-r--r--
enable
1.23
KB
-rw-r--r--
eval
374
B
-rw-r--r--
exec
997
B
-rw-r--r--
exit
531
B
-rw-r--r--
export
280
B
-rw-r--r--
false
68
B
-rw-r--r--
fc
6.08
KB
-rw-r--r--
fg
140
B
-rw-r--r--
float
21.48
KB
-rw-r--r--
functions
4.2
KB
-rw-r--r--
getcap
62
B
-rw-r--r--
getln
147
B
-rw-r--r--
getopts
1.8
KB
-rw-r--r--
hash
2.57
KB
-rw-r--r--
history
6.08
KB
-rw-r--r--
integer
21.48
KB
-rw-r--r--
jobs
791
B
-rw-r--r--
kill
1.45
KB
-rw-r--r--
let
321
B
-rw-r--r--
limit
3.51
KB
-rw-r--r--
local
21.48
KB
-rw-r--r--
log
116
B
-rw-r--r--
logout
531
B
-rw-r--r--
noglob
83
B
-rw-r--r--
popd
818
B
-rw-r--r--
print
5.65
KB
-rw-r--r--
printf
2.1
KB
-rw-r--r--
pushd
1.58
KB
-rw-r--r--
pushln
5.65
KB
-rw-r--r--
pwd
260
B
-rw-r--r--
r
6.08
KB
-rw-r--r--
read
5.67
KB
-rw-r--r--
readonly
21.48
KB
-rw-r--r--
rehash
2.57
KB
-rw-r--r--
return
928
B
-rw-r--r--
sched
64
B
-rw-r--r--
set
2.41
KB
-rw-r--r--
setcap
62
B
-rw-r--r--
setopt
1.56
KB
-rw-r--r--
shift
420
B
-rw-r--r--
source
182
B
-rw-r--r--
stat
63
B
-rw-r--r--
suspend
199
B
-rw-r--r--
test
1.17
KB
-rw-r--r--
times
113
B
-rw-r--r--
trap
3.61
KB
-rw-r--r--
true
67
B
-rw-r--r--
ttyctl
1.19
KB
-rw-r--r--
type
2.7
KB
-rw-r--r--
typeset
21.48
KB
-rw-r--r--
ulimit
3.09
KB
-rw-r--r--
umask
485
B
-rw-r--r--
unalias
1.25
KB
-rw-r--r--
unfunction
1.25
KB
-rw-r--r--
unhash
1.25
KB
-rw-r--r--
unlimit
555
B
-rw-r--r--
unset
933
B
-rw-r--r--
unsetopt
506
B
-rw-r--r--
vared
52
B
-rw-r--r--
wait
1.5
KB
-rw-r--r--
whence
2.7
KB
-rw-r--r--
where
2.7
KB
-rw-r--r--
which
2.7
KB
-rw-r--r--
zcompile
6.46
KB
-rw-r--r--
zformat
72
B
-rw-r--r--
zftp
63
B
-rw-r--r--
zle
52
B
-rw-r--r--
zmodload
16.91
KB
-rw-r--r--
zparseopts
75
B
-rw-r--r--
zprof
64
B
-rw-r--r--
zpty
63
B
-rw-r--r--
zregexparse
76
B
-rw-r--r--
zsocket
77
B
-rw-r--r--
zstyle
64
B
-rw-r--r--
ztcp
66
B
-rw-r--r--
Delete
Unzip
Zip
${this.title}
Close
Code Editor : trap
trap [ arg ] [ sig ... ] arg is a series of commands (usually quoted to protect it from immediate evaluation by the shell) to be read and executed when the shell receives any of the signals specified by one or more sig args. Each sig can be given as a number, or as the name of a signal either with or without the string SIG in front (e.g. 1, HUP, and SIGHUP are all the same signal). If arg is `-', then the specified signals are reset to their de- faults, or, if no sig args are present, all traps are reset. If arg is an empty string, then the specified signals are ig- nored by the shell (and by the commands it invokes). If arg is omitted but one or more sig args are provided (i.e. the first argument is a valid signal number or name), the effect is the same as if arg had been specified as `-'. The trap command with no arguments prints a list of commands as- sociated with each signal. If sig is ZERR then arg will be executed after each command with a nonzero exit status. ERR is an alias for ZERR on systems that have no SIGERR signal (this is the usual case). If sig is DEBUG then arg will be executed before each command if the option DEBUG_BEFORE_CMD is set (as it is by default), else after each command. Here, a `command' is what is described as a `sublist' in the shell grammar, see the section SIMPLE COMMANDS & PIPELINES in zshmisc(1). If DEBUG_BEFORE_CMD is set various additional features are available. First, it is possible to skip the next command by setting the option ERR_EXIT; see the description of the ERR_EXIT option in zshoptions(1). Also, the shell parameter ZSH_DEBUG_CMD is set to the string corresponding to the command to be executed following the trap. Note that this string is reconstructed from the internal format and may not be formatted the same way as the original text. The parame- ter is unset after the trap is executed. If sig is 0 or EXIT and the trap statement is executed inside the body of a function, then the command arg is executed after the function completes. The value of $? at the start of execu- tion is the exit status of the shell or the return status of the function exiting. If sig is 0 or EXIT and the trap statement is not executed inside the body of a function, then the command arg is executed when the shell terminates; the trap runs before any zshexit hook functions. ZERR, DEBUG, and EXIT traps are not executed inside other traps. ZERR and DEBUG traps are kept within subshells, while other traps are reset. Note that traps defined with the trap builtin are slightly dif- ferent from those defined as `TRAPNAL () { ... }', as the latter have their own function environment (line numbers, local vari- ables, etc.) while the former use the environment of the command in which they were called. For example, trap 'print $LINENO' DEBUG will print the line number of a command executed after it has run, while TRAPDEBUG() { print $LINENO; } will always print the number zero. Alternative signal names are allowed as described under kill above. Defining a trap under either name causes any trap under an alternative name to be removed. However, it is recommended that for consistency users stick exclusively to one name or an- other.
Close